Bug 1472088 - Failed to update satellite6.3.0 snap6 to snap7
Failed to update satellite6.3.0 snap6 to snap7
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 01:07 EDT by Eko
Modified: 2017-08-15 16:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update log (41.13 KB, text/plain)
2017-07-18 01:07 EDT, Eko
no flags Details

  None (edit)
Description Eko 2017-07-18 01:07:51 EDT
Created attachment 1300242 [details]
update log

update snap6 yo snap7 as below steps:

# katello-service stop   [PASS]  
# yum clean all          [PASS]   
# yum update             [PASS]  
=========================================================================
 Package             Arch       Version           Repository   Size
=========================================================================
Updating:
 foreman             noarch     1.15.2-1.el7sat   sat6         12 M
 foreman-cli         noarch     1.15.2-1.el7sat   sat6         11 k
 foreman-compute     noarch     1.15.2-1.el7sat   sat6         12 k
 foreman-debug       noarch     1.15.2-1.el7sat   sat6         16 k
 foreman-ec2         noarch     1.15.2-1.el7sat   sat6         11 k
 foreman-gce         noarch     1.15.2-1.el7sat   sat6         11 k
 foreman-installer   noarch     1:1.15.2-1.el7sat sat6         875 k
 foreman-libvirt     noarch     1.15.2-1.el7sat   sat6         12 k
 foreman-openstack   noarch     1.15.2-1.el7sat   sat6         11 k
 foreman-ovirt       noarch     1.15.2-1.el7sat   sat6         11 k
 foreman-postgresql  noarch     1.15.2-1.el7sat   sat6         11 k
 foreman-proxy       noarch     1.15.2-1.el7sat   sat6         139 k
 foreman-rackspace   noarch     1.15.2-1.el7sat   sat6         11 k
 foreman-selinux     noarch     1.15.2-1.el7sat   sat6         43 k
 foreman-vmware      noarch     1.15.2-1.el7sat   sat6         11 k
 glibc               x86_64     2.17-157.el7_3.5  rhel-7-server-rpms               3.6 M
 glibc-common        x86_64     2.17-157.el7_3.5  rhel-7-server-rpms               11 M
 tfm-rubygem-foreman_virt_who_configure  noarch  0.1.4-1.fm1_15.el7sat  sat6       53 k
 tfm-rubygem-net-ssh noarch     4.0.1-2.el7sat    sat6         103 k


# systemctl restart httpd        [PASS]

# systemctl restart postgresql   [PASS]
 
# systemctl start mongod         [PASS] 

# satellite-installer --scenario satellite --upgrade --verbose --noop   [FAILED]
[ INFO 2017-07-18 11:17:08 verbose]  Class[Foreman_proxy::Register]: Scheduling refresh of Foreman_smartproxy[bootp-73-131-119.rhts.eng.pek2.redhat.com]
[ERROR 2017-07-18 11:19:41 verbose]  /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[bootp-73-131-119.rhts.eng.pek2.redhat.com]: Could not evaluate: Proxy bootp-73-131-119.rhts.eng.pek2.redhat.com cannot be retrieved: unknown error (response 503)
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_smartproxy/rest_v3.rb:7:in `proxy'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_smartproxy/rest_v3.rb:13:in `id'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/foreman-installer/modules/foreman/lib/puppet/provider/foreman_smartproxy/rest_v3.rb:17:in `exists?'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/property/ensure.rb:81:in `retrieve'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/type.rb:1048:in `retrieve'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/type.rb:1076:in `retrieve_resource'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:236:in `from_resource'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:19:in `evaluate'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:204:in `apply'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:217:in `eval_resource'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:147:in `call'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:147:in `block (2 levels) in evaluate'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:335:in `block in thinmark'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/benchmark.rb:296:in `realtime'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:334:in `thinmark'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:147:in `block in evaluate'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:118:in `traverse'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/transaction.rb:138:in `evaluate'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/resource/catalog.rb:169:in `block in apply'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/util/log.rb:149:in `with_destination'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/transaction/report.rb:112:in `as_logging_destination'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/resource/catalog.rb:168:in `apply'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/configurer.rb:120:in `block in apply_catalog'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:161:in `block in benchmark'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/benchmark.rb:296:in `realtime'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:160:in `benchmark'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/configurer.rb:119:in `apply_catalog'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/configurer.rb:227:in `run_internal'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/configurer.rb:134:in `block in run'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet.rb:246:in `override'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/configurer.rb:133:in `run'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:302:in `apply_catalog'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:236:in `block in main'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/context.rb:64:in `override'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet.rb:246:in `override'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:198:in `main'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/application/apply.rb:159:in `run_command'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `block (2 levels) in run'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:507:in `plugin_hook'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `block in run'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/util.rb:496:in `exit_on_fail'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/application.rb:381:in `run'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:146:in `run'
[ERROR 2017-07-18 11:19:41 verbose] /usr/share/ruby/vendor_ruby/puppet/util/command_line.rb:92:in `execute'
[ERROR 2017-07-18 11:19:41 verbose] /usr/bin/puppet:8:in `<main>'
[ WARN 2017-07-18 11:19:41 verbose]  /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[bootp-73-131-119.rhts.eng.pek2.redhat.com]: Would have triggered 'refresh' from 1 events
[ WARN 2017-07-18 11:19:41 verbose]  Class[Foreman_proxy::Register]: Would have triggered 'refresh' from 1 events
[ WARN 2017-07-18 11:19:41 verbose]  Stage[main]: Would have triggered 'refresh' from 15 events
[ WARN 2017-07-18 11:19:41 verbose]  Finished catalog run in 187.02 seconds
[ INFO 2017-07-18 11:19:42 verbose] Puppet has finished, bye!
[ INFO 2017-07-18 11:19:42 verbose] Executing hooks in group post
  Something went wrong! Check the log for ERROR-level output
  The full log is at /var/log/foreman-installer/satellite.log
Upgrade failed during the installation phase. Fix the error and re-run the upgrade.
[ERROR 2017-07-18 11:19:42 verbose] Upgrade failed during the installation phase. Fix the error and re-run the upgrade.
[ INFO 2017-07-18 11:19:42 verbose] All hooks in group post finished
[ INFO 2017-07-18 11:19:42 verbose] Installer finished in 208.769630586 seconds
Comment 2 Eko 2017-07-25 01:39:39 EDT
can update sat6.3.0-snap7 to snap8, marking verified.

Note You need to log in before you can comment on or make changes to this bug.